Join the community today
Register Now

Nginx vhost generator includes obsolete directives

Discussion in 'Bug Reports' started by fly, Feb 11, 2022.

  1. fly

    fly Member

    61
    13
    8
    Jul 27, 2019
    Ratings:
    +19
    Local Time:
    6:04 AM
    I just ran the vhost generator and did an nginx -t after plugging in the code, and got this:

    Code:
    [14:58][root@ip-172-31-47-125.us-east-2.compute.internal Xa.com]# nginx -t
    nginx: [warn] the "http2_max_field_size" directive is obsolete, use the "large_client_header_buffers" directive instead in /usr/local/nginx/conf/conf.d/Xa.com.ssl.conf:23
    nginx: [warn] the "http2_max_header_size" directive is obsolete, use the "large_client_header_buffers" directive instead in /usr/local/nginx/conf/conf.d/Xa.com.ssl.conf:24
    nginx: [warn] the "http2_max_requests" directive is obsolete, use the "keepalive_requests" directive instead in /usr/local/nginx/conf/conf.d/Xa.com.ssl.conf:25
    nginx: the configuration file /usr/local/nginx/conf/nginx.conf syntax is ok
    nginx: configuration file /usr/local/nginx/conf/nginx.conf test is successful
    
    Obviously just a warning, but thought I'd mention it.

    Also, for readability, it might be easier to break out the LE commands a bit more.

     
  2. eva2000

    eva2000 Administrator Staff Member

    48,440
    11,102
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +17,281
    Local Time:
    8:04 PM
    Nginx 1.21.x
    MariaDB 10.x
  3. fly

    fly Member

    61
    13
    8
    Jul 27, 2019
    Ratings:
    +19
    Local Time:
    6:04 AM
    You rock!
     
  4. cloud9

    cloud9 Premium Member Premium Member

    297
    84
    28
    Oct 6, 2015
    England
    Ratings:
    +143
    Local Time:
    11:04 AM
    1.21.5
    10.3.32
    @fly CentMinMod with Eva's Support certainly does

    Take a look at supporting his time by becoming a premium member.....